package com.seer.teach.netty.im.handler.mq.impl.largemodule;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.enums.im.LargeModuleTopTagEnum;
import com.seer.teach.common.enums.MessagePushStatusEnums;
import com.seer.teach.netty.common.proto.MessageType;
import com.seer.teach.netty.im.handler.mq.ImLargeModuleHandler;
import com.seer.teach.netty.im.utils.ImUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 推送音频数据至Tv端
 * </p>
 *
 * @author Captain
 * @since 2025-07-17 22:13
 */
@Slf4j
@Component
public class StudyOverHandler implements ImLargeModuleHandler<StringDTO> {
    @Override
    public void handle(StringDTO messageBody, String device) {
        log.info("推送 下课信息");
        ImUtils.pushSingleChatToDeviceWithAck(device,
                MessagePushStatusEnums.SUCCESS.getCode(),
                MessageType.MessageContentType.STUDY_OVER.getMsgContentType(),
                "ping");
        log.info("推送 下课信息");
    }

    @Override
    public Class<StringDTO> getType() {
        return StringDTO.class;
    }

    @Override
    public String getTag() {
        return LargeModuleTopTagEnum.STUDY_OVER.getTag();
    }
}
